<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Students</title>
    <script type="text/javascript" src="../js/header.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="stylesheet" href="../css/studentStyle.css">
</head>
<body>
    <header>
        <h2>CMS</h2>
        <nav>
            <ul>
                <li class="notification active">
                    <a href="#"><img class="notificationIcon" src="../images/notificationNonActiveIcon.png" alt="Notification" ></a>
                    <div class="notification-popup">
                        <div class="notification-item">
                            <div>
                                <img src="../images/notificationNonActiveIcon.png" alt="Photo 1">
                                <p class="notification-name">User 1</p>
                            </div>
                            <div class="notification-content">
                                <p class="notification-text">Notification text goes here...</p>
                            </div>
                        </div>
                        <div class="notification-item">
                            <div>
                                <img src="../images/user-notification-icon.png" alt="Photo 2">
                                <p class="notification-name">User 2</p>
                            </div>
                            <div class="notification-content">
                                <p class="notification-text">Another notification text...</p>
                            </div>
                        </div>
                        <div class="notification-item">
                            <div>
                                <img src="../images/user-notification-icon.png" alt="Photo 2">
                                <p class="notification-name">User 3</p>
                            </div>
                            <div class="notification-content">
                                <p class="notification-text">Some text here...</p>
                            </div>
                        </div>
                    </div>
                </li>
                <li class="profile">
                    <img src="../images/userIcon.png" alt="User">
                    <div id="userName"></div>
                    <div class="profile-popup">
                        <button>Profile</a>
                        <button onclick="LogOut()">Log Out</a>
                    </div>
                </li>
            </ul>
        </nav>
    </header>
    <main>
        <nav class="navigation-container">
            <ul>
                <li><a href="#">Dashboard</a></li>
                <li class="active"><a href="./index.html">Students</a></li>
                <li><a href="./messages.html">Messages</a></li>
                <li><a href="#">Tasks</a></li>
            </ul>
        </nav>

        <section class="students-info-section">
            <div class="add-container">
                <h1>Students</h1>
                <button class="btn btn-primary fs-3" id="addStudentModal" data-bs-toggle="modal" data-bs-target="#modalWindow">+</button>
            </div>
            <table id="studentsTable">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Group</th>
                        <th>Name</th>
                        <th>Gender</th>
                        <th>Birthday</th>
                        <th>Status</th>
                        <th>Options</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
            <div class="table-slider">
                <button> &lt; </button>
                <button> 1 </button>
                <button> 2 </button>
                <button> 3 </button>
                <button> 4 </button>
                <button> &gt; </button>
            </div>
        </section>

        <div class="modal fade" id="modalWindow" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form id="modalForm" data-action="add">
                        <div class="modal-header">
                            <h2 class="modal-title fs-3" id="staticBackdropLabel">...</h2>
                            <button type="reset" class="btn-close" onclick="closeModalWindow()" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="form-item">
                                <label><input type="hidden" id="studentId" name="studentId" value=""></label>
                            </div>
                            <div class="form-item">
                                <label for="studentGroup">Group:</label>
                                <select id="studentGroup" name="studentGroup">
                                    <option value="PZ-21">PZ-21</option>
                                    <option value="PZ-22">PZ-22</option>
                                    <option value="PZ-23">PZ-23</option>
                                    <option value="PZ-24">PZ-24</option>
                                    <option value="PZ-26">PZ-25</option>
                                    <option value="PZ-26">PZ-26</option>
                                    <option value="PZ-27">PZ-27</option>
                                    <option value="KN-21">KN-21</option>
                                    <option value="KN-22">KN-22</option>
                                    <option value="KN-23">KN-23</option>
                                    <option value="KN-24">KN-24</option>
                                    <option value="KN-25">KN-25</option>
                                </select>
                            </div>
                            <div class="form-item">
                                <label for="studentName">First name:</label>
                                <input type="text" id="studentName" name="studentName">
                            </div>
                            <div class="form-item"> 
                                <label for="studentSurname">Last name:</label>
                                <input type="text" id="studentSurname" name="studentSurname">
                            </div>
                            <div class="form-item">
                                <label for="studentGender">Gender:</label>
                                <select id="studentGender" name="studentGender">
                                    <option value="Male">Male</option>
                                    <option value="Female">Female</option>
                                </select>
                            </div>
                            <div class="form-item">
                                <label for="studentBirthday">Birthday:</label>
                                <input type="date" id="studentBirthday" name="studentBirthday">
                            </div>
                          </div>
                        <div class="modal-footer">
                            <button type="reset" class="btn btn-secondary fs-4" onclick="closeModalWindow()">Close</button>
                            <button type="submit" class="btn btn-primary fs-4">Ok</button>
                          </div>
                    </form>
                </div>
            </div>
        </div>
        
    </main>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
    <script type="text/javascript" src="../js/student.js"></script>
    <script src="../js/app.js"></script>
</body>
</html>